---
search:
  tags:
    - Categories
    - PATCH
seo:
  description: >-
    Updates multiple categories simultaneously in a single… Reference for the
    PATCH /api/v1/{team_slug}/{app_slug}/categories/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk Update Categories
  badge: PATCH
title: Bulk Update Categories
type: openapi-operation
---
Updates multiple categories simultaneously in a single bulk operation. Supports partial updates for up to 50 categories per request, including name, slug, parent, status, translations, and sort order modifications.

`PATCH /api/v1/{team_slug}/{app_slug}/categories/bulk`

**Request body** (`application/json`, required)

Categories data to update

- `categories` (internal_pkg_webserver_v1.BulkPatchCategoryItem[], required)

Request body example:

```json
{
  "categories": [
    {
      "childless": true,
      "cover_id": "string",
      "description": "string",
      "google_product_category_id": "string",
      "id": "string",
      "name": "string",
      "parent_id": "string",
      "seo": {
        "meta_description": "string",
        "meta_title": "string"
      },
      "slug": "string",
      "sort_order": 0,
      "status": "active",
      "translations": {
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "name": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "slug": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      }
    }
  ]
}
```

**Responses**

- `200` — Categories updated successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "children": [
          {}
        ],
        "cover_url": "string",
        "created_at": "string",
        "description": "string",
        "google_product_category_id": "string",
        "id": "string",
        "name": "string",
        "parent_id": "string",
        "redirects": [
          {
            "id": "string",
            "item_id": "string",
            "locale": "string",
            "new_slug": "string",
            "old_slug": "string",
            "type": "product"
          }
        ],
        "seo": {
          "meta_description": "string",
          "meta_title": "string"
        },
        "slug": "string",
        "sort_order": 0,
        "status": "string",
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "meta_description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "meta_title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "slug": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "uri": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
